## hanoip_retail-user 11 RRI31.Q1-42-51-12 c157c release-keys
- Manufacturer: motorola
- Platform: sm6150
- Codename: hanoip
- Brand: motorola
- Flavor: hanoip_retail-user
- Release Version: 11
- Id: RRI31.Q1-42-51-12
- Incremental: c157c
- Tags: release-keys
- CPU Abilist: arm64-v8a,armeabi-v7a,armeabi
- A/B Device: true
- Locale: en-US
- Screen Density: undefined
- Fingerprint: motorola/hanoip_retail/hanoip:11/RRI31.Q1-42-51-12/c157c:user/release-keys
- OTA version: 
- Branch: hanoip_retail-user-11-RRI31.Q1-42-51-12-c157c-release-keys
- Repo: motorola/hanoip
